Module: Document Code Format

Description

Coding Document Code Format

GUI Change

1) Allowed Deleted And Reverted Doc No In Manual Entry Based On User Permission to Allowed Deleted And Reversal Doc No In

Manual Entry Based On User Permission

2) Document Code Format List edit only checkbox and Separator

3) Branch List Edit only Perfix and FY List also
4) Number Part Length mandatory

History

#1 - 09/03/2022 01:17 PM - Anil KV

public lstDocNoGeneratedBy: any[] = [
{ "intId": 1, "strLabel": "System Wise", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 2, "strLabel": "Compay Wise", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 3, "strLabel": "Branch Wise", "blnDisable": false, "blnActive": true, "strRemarks": "" }
17
public lstDocNoResetBy: anyl[] = [
{ "intId": 0, "strLabel": "No Reset", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 1, "strLabel": "Year Wise", "blnDisable": false, "blnActive": true, "strRemarks": "" },
{ "intId": 2, "strLabel": "Month Wise", "blnDisable": true, "blnActive": false, "strRemarks": "" }
17
public lstSaleRefundSaringDocNo: any[] = [
{ "intId": 0, "strLabel": "Seperate Document Number For Each Sharing", "blnDisable": false, "blnActive": f
alse, "strRemarks": "" },
{ "intId": 1, "strLabel": "Create A Sharing Document And Append #1, #2, ...Other Sharing", "blnDisable": f
alse, "blnActive": false, "strRemarks": "" },
{ "intId": 2, "strLabel": "Append #1, #2, ....In Main Document Number", "blnDisable": false, "blnActive":
true, "strRemarks": "" }
17
public lstOtherSaringDocNo: any[] = [
{ "intId": 0, "strLabel": "Seperate Document Number For Each Party", "blnDisable": false, "blnActive": tru
e, "strRemarks": "" }
{ "intId": 1, "strLabel": "Create A Document And Append #1, #2, ...Each Party", "blnDisable": false, "bln
Active": false, "strRemarks": "" }
17
public lstDocNoYearFormat: any[] = [
{ "intId": 0, "strLabel": "", "blnDisable": false, "blnActive": true, "strRemarks": "" },
{ "intId": 1, "strLabel": "YY", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 2, "strLabel": "YYYY", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 3, "strLabel": "FY Prefix", "blnDisable": false, "blnActive": false, "strRemarks": "" }
17
public lstDocNoMonthFormat: any[] = [
{ "intId": 0, "strLabel": "", "blnDisable": false, "blnActive": true, "strRemarks": "" },
{ "intId": 1, "strLabel": "M", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 2, "strLabel": "MM", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 3, "strLabel": "MMM", "blnDisable": false, "blnActive": false, "strRemarks": "" }
17

public lstDocNoFormatItems: any[] = [

{ "intId": 1, "strLabel": "Company", "blnDisable": true, "blnActive": false, "blnMandatory": false, "chrSe
parator":"/", "strRemarks": "" },

{ "intId": 2, "strLabel": "Branch", "blnDisable": false, "blnActive": false, "blnMandatory": false, "chrSe
parator": "/", "strRemarks": "" },

{ "intId": 3, "strLabel": "Document Code", "blnDisable": false, "blnActive": false, "blnMandatory": true,
"chrSeparator": "/", "strRemarks": "" },

{ "intId": 3, "strLabel": "Number Part", "blnDisable": false, "blnActive": false, "blnMandatory": true, "c
hrSeparator": "/", "strRemarks": "" },

{ "intId": 3, "strLabel": "Month", "blnDisable": false, "blnActive": false, "blnMandatory": false, "chrSep
arator": "/", "strRemarks": "" },

{ "intId": 3, "strLabel": "Year", "blnDisable": false, "blnActive": false, "blnMandatory": false, "chrSepa
rator": "-", "strRemarks": "" }

17

#2 - 09/03/2022 03:34 PM - Anil KV

CREATE TABLE document.tbl_doc_no_gen_settings (
pk_doc_no_gen_settings_id BIGSERIAL PRIMARY KEY,

sin_doc_no_generated_by SMALLINT DEFAULT 0,--*1
sin_doc_no_reset_by SMALLINT DEFAULT 0,--*2
sin_allowed_manual_entry SMALLINT DEFAULT 1,
sin_allowed_del_docs_manual_entry SMALLINT DEFAULT 1,

sin_credit_sale_sharing_docs SMALLINT DEFAULT 3, -—-*3
sin_cash_sale_sharing_docs SMALLINT DEFAULT 3, —--*3
sin_receipt_multi_party_docs SMALLINT DEFAULT 1, --*4
sin_payment_multi_party_docs SMALLINT DEFAULT 1, --*4
sin_dn_cn_docs SMALLINT DEFAULT 1, --*4

sin_no_part_length SMALLINT DEFAULT 3,
sin_year_part_format SMALLINT DEFAULT 0, —--*5
sin_month_part_format SMALLINT DEFAULT 0 --*6

) INHERITS (tbl_action_user_and date_time);

—-—*] -> 1 = System Wise - INV/001

= Compay Wise - Not Use - INV/COM/001

= Branch Wise - Default - INV/BTA/001

= No Reset

= Year Wise - Default

= Month Wise

= Seperate Document Number For Each Sharing

= Create A Sharing Document And Append #1, #2, ... Other Sharing

——*2 >

= Append #1, #2, .... In Main Document Number - Default
Seperate Document Number For Each Party - Default
= Create A Document And Append #1, #2, ... Each Party

= YY
= YYYY
= FY Prefix
——Use : Document no parts and order

-—-Case: —->Doc Number Prefix (Company and Branch Keep in own table) and FY also
——Note:
CREATE TABLE document.tbl_doc_no_format (

pk_doc_no_format_id BIGSERIAL PRIMARY KEY,

int_doc_order INTEGER NOT NULL,
sin_system_doc_part SMALLINT NOT NULL, --*1
chr_doc_separator CHAR(1l),

sin_is_active SMALLINT DEFAULT O,
sin_is_editable SMALLINT DEFAULT O
)i
-—*1 -> 1 - Company - Disable
== 2 - Branch
== 3 - Document Code - ON and Disable (Not alloed to OFF)
== 4 - Number Part - ON and Disable (Not alloed to OFF)

== 5 - Month
== 6 - Year

#3 - 09/03/2022 04:44 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#4 - 09/05/2022 02:35 PM - Shanto Shaji
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 09/13/2022 05:27 PM - Shanto Shaji
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

#6 - 11/30/2022 10:05 AM - Shanto Shaji

- Status changed from Particialy Coding Done to Reopen Bugs Coding Done

- % Done changed from 40 to 60

#7 - 12/01/2022 12:38 PM - Shanto Shaiji

- Status changed from Reopen Bugs Coding Done to Particialy Coding Done

- % Done changed from 60 to 40

#8 - 12/08/2022 09:21 AM - Shanto Shaji
To Do

Finaincial year Tab

#9 - 12/13/2022 02:06 PM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#10 - 05/13/2023 05:38 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.Branch , Company prefix not working while new Doc. Generation
2.Cant remove year prefix

#11 - 05/15/2023 04:40 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#12 - 06/22/2023 04:22 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
TO DO

*kkkk

1.Add separator (/) column

( after parameter column)

2.Disable company checkbox

3.Set Example field as dynamic

4.Set to global constant (Variable, Document related values)

#13 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#14 - 09/29/2023 05:37 PM - unnikannan S
ISSUE FOUNDED

1.DISABLE COMPANY

#15 - 10/04/2023 02:14 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 12/08/2023 11:09 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD VALIDATION FOR CREDIT SALE,CASH SALE DOC NO GENERATING FIELD

2.NOT WORKING MONTH PART FORMAT

3.ERROR WHILE ADDING MORE VALUE IN SEPERATER FIELD (Error converting value "//" to type 'System.Char'. Path
'mdIDocumentCodeFormat.IstMdIDocNoFormat®.chrDocSeparator’, line 1, position 883.)

4.DUPLICATION IN BRANCH PREFIX CODE (WHILE CHOOSING DOC NO RESET BY YEAR WISE)

5.CONNECT YEAR PART FUNCTION

#17 - 01/23/2024 09:47 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 08/08/2024 05:35 PM - Junaid M
NEW CHANGES

1. Add New option in all 4 select box "No Separate Document Number"

2. For Credit Sale And Refund Sharing Document No Generating, Cash Sale And Refund Sharing Document No Generating Default option is
"Seperate Document Number for each Sharing".

3. For Rv, Pv, DnCn Default option is "No Separate Document Number"

[Done] - Added in Data service.

Files

2-tsModel.ts 1.57 KB 09/03/2022 Anil KV
1-CsModel.cs 2.17 KB 09/03/2022 Anil KV
3-CsFile.cs 11.4 KB 09/03/2022 Anil KV
4-CsControllerFile.cs 17.1 KB 09/03/2022 Anil KV
5-TsFile.ts 13.9 KB 09/03/2022 Anil KV
6-HtmiFile.html 1.93 KB 09/03/2022 Anil KV
sql.sql 8.97 KB 09/03/2022 Anil KV
